#!/bin/bash


# URL from where wine is downloaded, must be i686
wineURL="https://stormux.org/downloads/wine.tgz"

# Install required packages
install_package cabextract box86 dos2unix p7zip unzip xdotool
# Download and install wine
wineFile="$(mktemp)"
wget -O "$wineFile" "$wineURL"
pushd /opt
sudo tar xf "$wineFile"
popd

# Create files and links in /usr/local/bin
sudo mkdir -p /usr/local/bin
echo -e '#!/bin/bash\nsetarch linux32 -L /opt/wine/bin/wine "$@"' | sudo tee /usr/local/bin/wine > /dev/null
sudo chmod 755 /usr/local/bin/wine
for i in wineboot winecfg wineserver ; do
    sudo ln -s /opt/wine/bin/"$i" /usr/local/bin/"$i"
    sudo chmod 755 /usr/local/bin/"$i"
done

# Install audiogame-manager
sudo wget -O /usr/local/bin/audiogame-manager https://stormgames.wolfe.casa/downloads/audiogame-manager.arm
sudo chmod 755 /usr/local/bin/audiogame-manager
restart
